<?php

use App\Authority;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddWaveSearchAndWaveCancelPrint extends Migration
{
    protected $authNames =["订单管理-波次-查询","订单管理-波次-重置打印","订单管理-波次-查询"];
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        foreach ($this->authNames as $name){
            if(!Authority::where('name',$name)->first())(new Authority(['name'=>$name,'alias_name'=>$name]))->save();
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        foreach ($this->authNames as $name){
            Authority::where('name',$name)->delete();
        }
    }
}
